Skip to main content
GET
Returns a list of recording channels in the specified space.

Authorizations

Authorization
string
header
required

OAuth2 bearer token in the Authorization header

Path Parameters

space_id
string<uuid>
required

UP Space Id

Query Parameters

page
integer
default:1

Page

per_page
integer
default:30

Number of entries per page

name_filter
string

Substring match on channel name (case-insensitive).

status
enum<string>[]

Filter by one or more channel statuses.

Available options:
DRAFT,
INACTIVE,
PENDING,
ACTIVE,
RECORDING,
FINISHING_RECORDING,
ERROR
tags_any
string[]

Match channels tagged with any of the given tags.

tags_all
string[]

Match channels tagged with all of the given tags.

pinned_first
boolean
default:false

Return pinned channels before unpinned ones.

order
enum<string>
default:CREATION
Available options:
CREATION,
ACTIVATION,
NAME_ASC,
NAME_DESC

Response

List Channels

channels
object[]

List of Channels for the current page.

page
integer

Number of current page

Example:

1

per_page
integer
Example:

30

page_count
integer
Example:

2

total_count
integer
Example:

47